<?php

namespace Reinaldo\Teste00pkg\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Comercial policy
        \Reinaldo\Teste00pkg\Repositories\Eloquent\ComercialRepository::class 
        => \Reinaldo\Teste00pkg\Policies\ComercialPolicy::class,// Bind Comercial policy
        \Reinaldo\Teste00pkg\Repositories\Eloquent\ComercialRepository::class 
        => \Reinaldo\Teste00pkg\Policies\ComercialPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
