<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'reinaldo',

    /*
     * Package.
     */
    'package'   => 'teste00pkg',

    /*
     * Modules.
     */
    'modules'   => ['comercial', 'comercial'],

    'comercial'       => [
        'model' => [
            'model' => \Reinaldo\Teste00pkg\Models\Comercial::class,
            'repository' => \Reinaldo\Teste00pkg\Repositories\Eloquent\ComercialRepository::class,
            'table' => 'comercials',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'Numero',  'Cliente_id'],
            'translatables' => [],
            'upload_folder' => 'teste00pkg/comercial',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Reinaldo',
            'package' => 'Teste00pkg',
            'module' => 'Comercial',
        ],
    ],
    'comercial'       => [
        'model' => [
            'model' => \Reinaldo\Teste00pkg\Models\Comercial::class,
            'repository' => \Reinaldo\Teste00pkg\Repositories\Eloquent\ComercialRepository::class,
            'table' => 'comercials',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'Nome'],
            'translatables' => [],
            'upload_folder' => 'teste00pkg/comercial',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Reinaldo',
            'package' => 'Teste00pkg',
            'module' => 'Comercial',
        ],
    ],
];
